﻿Option Strict On
Imports Enums.Enum_OnVBArticles

Imports System.Reflection

Public Class EnumItem
    Public Property Name As String
    Public Property Value As Integer
    Public Overrides Function ToString() As String
        Return Name
    End Function
End Class

<AttributeUsage(AttributeTargets.Enum Or AttributeTargets.Field)> _
Public Class DisplayName
    Inherits Attribute
    Dim m_DisplayName As String = String.Empty
    Public Sub New(ByVal DisplayName As String)
        m_DisplayName = DisplayName
    End Sub
    Public Overrides Function ToString() As String
        Return m_DisplayName
    End Function
End Class

<AttributeUsage(AttributeTargets.Enum Or AttributeTargets.Field)> _
Public Class PublicationDate
    Inherits Attribute
    Dim m_PublicationDate As Date = Nothing
    Public Sub New(ByVal PublicationDate As String)
        m_PublicationDate = Date.Parse(PublicationDate)
    End Sub
    Public Overrides Function ToString() As String
        Return m_PublicationDate.ToShortDateString
    End Function
End Class

